--//
--Halved the whole durations to make it run around roughly 20 minutes instead of more than half an hour.
--\\
function SkirmishTweakData:_init_wave_phase_durations(tweak_data)
	local skirmish_data = tweak_data.group_ai.skirmish
	skirmish_data.assault.anticipation_duration = {
		{
			7.5,
			1
		}
	}
	skirmish_data.assault.build_duration = 7.5
	skirmish_data.assault.sustain_duration_min = {
		60,
		60,
		60
	}
	skirmish_data.assault.sustain_duration_max = {
		60,
		60,
		60
	}
	skirmish_data.assault.sustain_duration_balance_mul = {
		1,
		1,
		1,
		1
	}
	skirmish_data.assault.fade_duration = 5
	skirmish_data.assault.delay = {
		12.5,
		12.5,
		12.5
	}
end
--//
--It will be feel like you started at vanilla Wave 5, which can be considered as the round that everything getting spicier.
--Also Wave 9 is still the vanilla values so nothing has been changed with endgame.
--\\
function SkirmishTweakData:_init_wave_modifiers()
	self.wave_modifiers = {}
	local health_damage_multipliers = {
		--WI--
		{
			damage = 3.5,
			health = 3.75
		},
		--WII--
		{
			damage = 3.75,
			health = 4.5
		},
		--WIII--
		{
			damage = 4,
			health = 4.25
		},
		--WIV--
		{
			damage = 4.25,
			health = 4.5
		},
		--WV--
		{
			damage = 4.5,
			health = 5.25
		},
		--WVI--
		{
			damage = 4.75,
			health = 5.5
		},
		--WVII--
		{
			damage = 5,
			health = 6
		},
		--WVIII--
		{
			damage = 5.25,
			health = 6.5
		},
		--WIX--
		{
			damage = 5.5,
			health = 6.75
		},
		--UNUSED--
		{
			damage = 6,
			health = 7.5
		},
		{
			damage = 6.5,
			health = 8.25
		},
		{
			damage = 7,
			health = 9
		},
		{
			damage = 1.9,
			health = 1.9
		},
		{
			damage = 1.975,
			health = 1.975
		},
		{
			damage = 2.05,
			health = 2.05
		},
		{
			damage = 2.125,
			health = 2.125
		},
		{
			damage = 2.2,
			health = 2.2
		},
		{
			damage = 2.275,
			health = 2.275
		},
		{
			damage = 2.35,
			health = 2.35
		},
		{
			damage = 2.425,
			health = 2.425
		},
		{
			damage = 2.5,
			health = 2.5
		}
	}
--\\
--Re-introduced Heavy Snipers and added Heavy Shotgunners for better taste. Also from now on, health scaling is no longer working with medic units.
--//
	self.wave_modifiers[1] = {
		{
			class = "ModifierEnemyHealthAndDamageByWave",
			data = {
				waves = health_damage_multipliers,
				excluded_enemies = {
					damage = {
						"sniper",
						"heavy_swat_sniper"
					},
					health = {
						"tank_medic",
						"medic"
					}
				}
			}
		},
		{
			class = "ModifierCloakerArrest"
		}
	}
	self.wave_modifiers[3] = {{class = "ModifierSkulldozers"}}
	self.wave_modifiers[5] = {
		{
			class = "ModifierHeavySniper",
			data = {spawn_chance = 5}
		},
		{
			class = "ModifierHeavies"
		}
	}
	self.wave_modifiers[7] = {{class = "ModifierDozerMedic"}}
	self.wave_modifiers[9] = {{class = "ModifierDozerMinigun"}}
end